import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../entities/shop_entities.dart';

abstract class ShopRepository {
  Future<DataState<ShopData>> getShop();
  Future<DataState<String>> buyCard(String cardId);
  Future<DataState<String>> selectCard(String cardId);
  Future<DataState<String>> purchase(PurchaseParams params);
  Future<DataState<int>> adReward(String token);
}
